:root {
  --text-font-family: var(--primary-font);
  --text-base: clamp( 14px, calc( 14px + (16 - 14) * ((100vw - 360px) / (1440 - 360))), 16px );
  --heading-font-family: var(--primary-font);
  --heading-letter-spacing: 0;
  --subheading-font-family: var(--secondary-font);
  --heading-italic-font-family: var(--secondary-font);
}

* {
  -webkit-font-smoothing: antialiased;
}

/* Buttons */
.link.subheading {
  min-height: 22px;
  font-family: var(--primary-font);
  text-transform: uppercase;
  font-size: 13px;
  line-height: 18px;
}

.button--tertiary {
  height: 32px;
  padding: 0 40px;
  background-color: var(--tertiary-color);
  border-radius: 0;

  .button__content {
    transition: none !important;
  }

  &:has(.button__content) {
    --button-padding-block: 7px;
    --button-padding-inline: 40px;
    padding: 0;
  }

  &,
  & * {
    color: var(--white);
    font-size: 13px;
    line-height: 18px;
    font-family: var(--primary-font);
    text-transform: uppercase;
  }

  &[disabled],
  &.disabled {
    background-color: var(--light-text-color);
    pointer-events: none;

    &,
    & * {
      color: var(--secondary-background-color);
    }
  }

  @media (hover: hover) {
    &:hover {
      background-color: var(--black);
    }
  }

  &:active {
    background-color: var(--black);
  }
}

.link.link-secondary {
  font-size: 16px;
  line-height: 22px;
  color: var(--tertiary-color);
}

/* Announcement bar */
.shopify-section--announcement-bar {
  .announcement-bar__message-list .subheading {
    font-family: var(--primary-font);
  }
}

/* Header */
.header {
  --header-padding-block: 0;
  height: 60px;
}

.header__primary-nav {
  > ul > li > .link-reversed {
    font-family: var(--primary-font);
    background: none;

    @media (hover: hover) {
      transition: .2s ease-in-out;

      &:hover {
        color: var(--primary-color);
      }
    }

    &:active {
      color: var(--primary-color);
    }
  }

  button[aria-controls="menu-drawer"] {
    svg {
      width: 14px;
      height: 14px;
    }
  }

  .header__search-link {
    svg {
      width: 18px;
      height: 18px;
    }
  }

  @media (max-width: 699px) {
    column-gap: 15px;
  }
}

.header__secondary-nav {
  --header-nav-icon-gap: 0;
}

.header__account-link,
.header__search-link,
.header__cart-link,
button[aria-controls="menu-drawer"] {
  @media (hover: hover) {
    transition: .2s ease-in-out;

    &:hover {
      color: var(--primary-color);
    }
  }

  &:active {
    color: var(--primary-color);
  }

  svg {
    width: 36px;
    height: 36px;
  }
}

.header__active-dot {
  width: 16px;
  height: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--primary-color);
  color: var(--white);
  bottom: 0;
  right: 0;
  font-size: 10px;
  line-height: 10px;
  inset-block-start: initial;
}

.menu-promo__item:not(:has(.content-box)) {
  .subheading {
    color: var(--primary-color);
  }
}

.menu-promo--without-spacing .menu-promo__item {
  width: 320px;
  aspect-ratio: 320 / 420;
}

.menu-drawer__footer-item {
  a:has(.icon-account) {
    color: var(--primary-color);
  }
}

button[aria-controls="menu-drawer"] {
  .icon__hamburger {
    .icon-custom-close {
      display: none;
    }
  }

  &[aria-expanded="true"] {
    .icon__hamburger {
      .icon-custom-close {
        display: block;
      }

      .icon-custom-hamburger {
        display: none;
      }
    }
  }
}

.menu-promo {
  .circle-button {
    color: var(--black);
    width: 36px;
    height: 36px;

    &::before {
      content: none;
    }

    &[disabled] {
      color: var(--light-text-color);
    }

    @media (hover: hover) {
      transition: .2s ease-in-out;

      &:not([disabled]) {
        &:hover {
          color: var(--primary-color);
        }
      }
    }

    &:not([disabled]):active {
      color: var(--primary-color);
    }
  }
}

/* Slideshow */
.shopify-section--slideshow {
  .heading-block {
    font-weight: 700;
    color: var(--heading-color);
    font-family: var(--secondary-font);
  }
}

/* Reading text section */
.shopify-section--reading-text {
  .reading-text__icon {
    margin-bottom: 34px;

    svg,
    img {
      width: 54px;
      height: auto;
      margin: 0 auto;
    }

    @media (max-width: 834px) {
      svg,
      img {
        width: 40px;
      }
    }
  }

  .reading-text__inner {
    .h5 {
      line-height: clamp(28px, calc(28px + (34 - 28) * ((100vw - 360px) / (1440 - 360))), 34px);
    }
  }
}

/* Media blocks section */
.shopify-section--media-blocks {
  .swiper-button-prev,
  .swiper-button-next {
    width: 36px;
    height: 36px;
    color: var(--black);

    &.swiper-button-disabled {
      color: var(--light-text-color);
      opacity: 1;
    }

    &::after {
      content: none;
    }

    @media (hover: hover) {
      opacity: 0;
      transform: scale3d(0, 0, 0);
      transition: .2s ease-in-out;

      &:not(.swiper-button-disabled) {
        &:hover {
          color: var(--primary-color);
        }
      }
    }

    &:not(.swiper-button-disabled):active {
      color: var(--primary-color);
    }
  }

  .swiper-button-prev {
    left: 28px;
  }

  .swiper-button-next {
    right: 28px;
  }

  @media (hover: hover) {
    .media-blocks-swiper:hover {
      .swiper-button-next:not(.swiper-button-disabled),
      .swiper-button-prev:not(.swiper-button-disabled) {
        opacity: 1;
        transform: scale3d(1, 1, 1);
      }
    }
  }

  @media (min-width: 1000px) {
    .scroll-area {
      overflow: visible;
    }
  
    .media-blocks-swiper-wrapper {
      align-items: stretch;
    }
  
    .media-block-slide {
      width: calc(420 / 1440 * 100%);
      height: auto;
    }
  }

  @media (max-width: 999px) {
    .media-blocks-swiper {
      margin-inline: 0;

      &:not(.swiper-initialized) {
        opacity: 1;
      }
    }

    .media-blocks__inner {
      row-gap: var(--section-stack-row-gap);
      grid-template-columns: minmax(0, 1fr);
      display: grid;
    }

    .media-blocks-swiper-wrapper {
      display: grid;
    }

    .swiper-button-prev,
    .swiper-button-next {
      display: none;
    }
  }
}

/* Products with image section */
.shopify-section--products-with-image {
  .products-with-image__carousel-arrow {
    color: var(--black);

    &[disabled] {
      opacity: 1;
      color: var(--light-text-color);
    }

    @media (hover: hover) {
      transition: .2s ease-in-out;

      &:not([disabled]) {
        &:hover {
          color: var(--primary-color);
        }
      }
    }

    &:not([disabled]):active {
      color: var(--primary-color);
    }
  }
}

/* Featured collections section */
.shopify-section--featured-collections {
  .circle-button {
    color: var(--black);
    width: 36px;
    height: 36px;

    &::before {
      content: none;
    }

    &[disabled] {
      color: var(--light-text-color);
    }

    @media (hover: hover) {
      transition: .2s ease-in-out;

      &:not([disabled]) {
        &:hover {
          color: var(--primary-color);
        }
      }
    }

    &:not([disabled]):active {
      color: var(--primary-color);
    }
  }

  carousel-prev-button .circle-button {
    left: -31px;
  }

  carousel-next-button .circle-button {
    right: -31px;
  }

  @media (max-width: 1398px) {
    carousel-prev-button .circle-button {
      left: -15px;
    }

    carousel-next-button .circle-button {
      right: -15px;
    }
  }

  @media (max-width: 699px) {
    carousel-prev-button .circle-button {
      left: -3px;
    }

    carousel-next-button .circle-button {
      right: -3px;
    }
  }
}

/* Product card */
.product-card {
  .product-title,
  .price-list * {
    font-size: var(--text-base);
  }

  sale-price {
    color: var(--black);
  }

  sale-price:not(:only-child) {
    color: var(--primary-color);
  }

  compare-at-price {
    color: var(--light-text-color);
  }

  .badge-list {
    .badge:not(:nth-child(1), :nth-child(2)) {
      display: none;
    }
  }
}

/* Badges */
.product-card__figure .badge-list {
  padding: 20px;
}

.badge {
  display: flex;
  font-size: 12px;
  line-height: 12px;
  padding: 6px 8px 4px;
  color: var(--white);
  font-weight: 700;
}

.badge--sold-out {
  background-color: var(--light-text-color);
}

.badge--on-sale {
  background-color: var(--primary-color);
}

.badge--best-seller {
  background-color: var(--green-accent-color);
}

.badge--new {
  background-color: var(--secondary-color);
  color: var(--tertiary-background-color);
}

/* Newsletter section */
.shopify-section--newsletter {
  .klaviyo-form {
    --input-border-radius: 0;
    --input-height: clamp(40px, calc(40px + (46 - 40) * (100vw - 999px)), 46px);
    --input-padding: 0 16px;
    --input-font-size: 16px;
    --input-font-family: var(--primary-font);
    --input-color: var(--black);
    --input-placeholder-color: var(--light-text-color);
    --input-background: var(--white);
    --input-border: 1px solid var(--white);
    --input-border-color-hover: var(--white);
    --button-background: var(--green-accent-color);
    --button-background-hover: var(--tertiary-background-color);
    --button-disabled-background: var(--light-text-color);
    --button-background-image: none;
    --button-background-image-width: 0;
    --button-background-image-height: 0;
    --button-color: var(--white);
    --button-color-hover: var(--white);
    --button-border-radius: 0;
    --button-width: clamp(86px, calc(86px + (119 - 86) * (100vw - 999px)), 119px);
    --button-height: 100%;
    --button-padding: 0;
    --button-font-family: var(--primary-font);
    --button-font-size: 16px;
    --button-font-weight: 400;
    --button-separation: 0;
    --success-font-family: var(--primary-font);
    --success-color: var(--black);
    --success-font-weight: 700;
    --success-font-size: var(--text-base);
    --success-line-height: normal;
    padding: 0 !important;
  
    > .needsclick {
      min-height: 0 !important;
    }
  
    [data-testid="form-row"] {
      position: relative !important;
    }
  
    [data-testid="form-component"] {
      padding: 0 !important;
  
      &:last-child {
        &:has(button[type="button"]) {
          margin-left: var(--button-separation) !important;
        }
  
        &:not(:has(button[type="button"])) * {
          font-family: var(--success-font-family) !important;
          font-weight: var(--success-font-weight) !important;
          font-size: var(--success-font-size) !important;
          line-height: var(--success-line-height) !important;
          color: var(--success-color) !important;
          text-align: left !important;
        }
      }
  
      button[type="button"] {
        -webkit-tap-highlight-color: transparent;
        font-family: var(--button-font-family) !important;
        font-size: var(--button-font-size) !important;
        font-weight: var(--button-font-weight) !important;
        width: var(--button-width) !important;
        height: var(--button-height) !important;
        background-color: var(--button-background) !important;
        border-radius: var(--button-border-radius) !important;
        padding: 0 !important;
        transition: 0.15s !important;
  
        @media (hover: hover) {
          &:hover {
            background-color: var(--button-background-hover) !important;
          }
        }
  
        &:active {
          background-color: var(--button-background-hover) !important;
        }
  
        &:not(.klaviyo-spinner)::after {
          content: '';
          width: var(--button-background-image-width);
          height: var(--button-background-image-height);
          background-image: var(--button-background-image);
          background-position: center;
          background-repeat: no-repeat;
          background-size: contain;
          position: absolute;
          top: 50%;
          left: 50%;
          transform: translate(-50%, -50%);
          cursor: pointer !important;
        }
  
        &.klaviyo-spinner {
          font-size: var(--button-font-size) !important;

          &::after {
            content: none !important;
          }
        }

        &[disabled] {
          background-color: var(--button-background) !important;
        }
      }
    }
  
    input[type="email"] {
      -webkit-tap-highlight-color: transparent;
      height: var(--input-height) !important;
      background-color: var(--input-background) !important;
      border-radius: var(--input-border-radius) !important;
      font-family: var(--input-font-family) !important;
      font-size: var(--input-font-size) !important;
      padding: var(--input-padding) !important;
      border: var(--input-border) !important;
  
      &.needsclick:hover {
        border-color: var(--input-border-color-hover) !important;
      }
  
      &:focus,
      &:focus-visible {
        outline: none !important;
      }
  
      &::placeholder {
        font-family: var(--input-font-family) !important;
        font-size: var(--input-font-size) !important;
        color: var(--input-placeholder-color) !important;
      }
  
      &:-internal-autofill-selected,
      &:-webkit-autofill,
      &:-webkit-autofill:hover, 
      &:-webkit-autofill:focus, 
      &:-webkit-autofill:active {
        -webkit-box-shadow: 0 0 0 50px var(--input-background) inset;
      }
    }
  }

  .newsletter-form-container {
    max-width: 624px;
  }

  @media (max-width: 999px) {
    .newsletter-form-container {
      max-width: none;
    }
  }
}

/* Trust icons section */
.shopify-section--trust-icons {
  .h7 {
    font-size: clamp(14px, calc(14px + (15 - 14) * ((100vw - 360px) / (1440 - 360))), 15px);
  }
  
  .text-subdued {
    font-size: 14px;
    color: var(--black);
  }
}

/* Collection page */
.shopify-section--collection-banner {
  h1 {
    font-family: var(--secondary-font);
  }
}

.removable-facet {
  font-family: var(--primary-font);
}

.collection__floating-button {
  .button--tertiary {
    .button__content {
      --button-padding-block: 3px;
      line-height: normal;
    }
  }
}

.drawer--facets {
  @media (max-width: 699px) {
    h2[slot="header"] {
      font-size: 17px;
    }
  }
}

/* Pagination */
.pagination-list {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0 40px;
  list-style: none;
  margin: 0;

  li {
    padding: 0;
  }
}

.pagination-button,
.pagination-link {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 36px;
  height: 36px;
  color: var(--text-color);
  transition: .2s ease-in-out;
}

.pagination-button {
  &.disabled {
    color: var(--light-text-color);
  }

  &:not(.disabled) {
    @media (hover: hover) {
      &:hover {
        color: var(--primary-color);
      }
    }
  }

  &:not(.disabled):active {
    color: var(--primary-color);
  }
}

.pagination-link {
  &.current {
    color: var(--primary-color);
    text-decoration: underline;
  }
}

a.pagination-link {
  @media (hover: hover) {
    &:hover {
      color: var(--primary-color);
    }
  }

  &:active {
    color: var(--primary-color);
  }
}

@media (max-width: 699px) {
  .pagination-list {
    gap: 0 28px;
  }

  .pagination-page.hide-mobile {
    display: none;
  }

  .pagination-button,
  .pagination-link {
    width: 32px;
    height: 32px;
  }
}

#facets-drawer {
  [slot="header"] {
    font-family: var(--secondary-font);
    text-transform: uppercase;
  }

  .accordion__summary,
  .facets__availability-control label.subheading {
    font-family: var(--primary-font);
  }

  [slot="footer"] {
    .button-group {
      display: flex;
      flex-direction: row-reverse;
      justify-content: center;
    }
  }
}

/* Product page */
.shopify-section--main-product {
  --x-gap: 32px;

  .product-title {
    font-weight: 400;
    font-family: var(--secondary-font);
    font-size: clamp(26px, calc(26px + (32 - 26) * ((100vw - 360px) / (1440 - 360))), 32px);
    line-height: normal;
  }

  .product-info__block-item[data-block-id="price"] {
    margin: 12px 0 0;
  }

  .price-list {
    gap: 7px;
  }

  .product-info {
    --product-block-item-margin: var(--x-gap);
  }

  .price-list sale-price,
  .price-list compare-at-price {
    font-size: clamp(16px, calc(16px + (18 - 16) * ((100vw - 360px) / (1440 - 360))), 18px);
    line-height: clamp(20px, calc(20px + (22 - 20) * ((100vw - 360px) / (1440 - 360))), 22px);
    font-weight: 400;
  }

  .price-list compare-at-price {
    color: var(--light-text-color);
  }

  .product-info__block-item[data-block-id="separator"] {
    margin: var(--x-gap) 0;

    hr {
      border-color: var(--secondary-color);
    }
  }

  .product-info__block-item[data-block-id="description"] {
    margin: var(--x-gap) 0 0;
  }

  .prose {
    --heading-font-weight: 700;
    --lists-offset: 10px;
    font-weight: 300;

    h1 {
      font-size: 2em;
    }

    h2 {
      font-size: 1.5em;
    }

    h3 {
      font-size: 1.17em;
    }

    h4 {
      font-size: 1em;
    }

    h5 {
      font-size: 0.83em;
    }

    h6 {
      font-size: 0.6em;
    }

    strong {
      font-weight: 700;
    }

    blockquote {
      font-style: italic;
      border-left: 1px solid var(--black);
      padding-left: 20px;
    }

    p + ul,
    p + ol {
      margin-top: 0;
    }

    & ul,
    & ol {
      margin-left: calc(var(--lists-offset) + 18px);
      list-style-position: outside;
      /* stylelint-disable-next-line selector-max-compound-selectors */
      & li::marker {
        font-size: var(--text-base);
      }
    }

    img {
      display: inline;
    }
  }

  .accordion__content.prose {
    font-size: clamp(13px, calc(13px + (14 - 13) * ((100vw - 360px) / (1440 - 360))), 14px);
    line-height: clamp(18px, calc(18px + (20 - 18) * ((100vw - 360px) / (1440 - 360))), 20px);
  }

  .variant-picker__option {
    --form-control-gap: 8px;
  }

  .variant-picker__option-info  {
    font-size: clamp(13px, calc(13px + (14 - 13) * ((100vw - 360px) / (1440 - 360))), 14px);
    line-height: clamp(18px, calc(18px + (20 - 18) * ((100vw - 360px) / (1440 - 360))), 20px);

    .text-subdued {
      font-weight: 300;
      color: var(--black);
    }
  }

  .variant-picker__option-values {
    gap: 5px;
  }

  .block-swatch {
    padding: 8px 13px;
    font-weight: 300;
    font-size: clamp(13px, calc(13px + (14 - 13) * ((100vw - 360px) / (1440 - 360))), 14px);
    line-height: clamp(18px, calc(18px + (20 - 18) * ((100vw - 360px) / (1440 - 360))), 20px);
    border: 1px solid var(--secondary-color);
    color: var(--black);
  }

  .block-swatch.is-disabled {
    color: var(--light-text-color);
  }

  input:checked + .block-swatch,
  .block-swatch.is-selected {
    border-color: var(--tertiary-color);
    box-shadow: none;
  }

  .color-swatch--square {
    --swatch-width: 68px;
    --swatch-height: 68px;
    border: 1px solid transparent;
    padding: 4px;
  }

  input:checked + .color-swatch--square {
    border-color: var(--tertiary-color);

    .color-swatch__indicator {
      display: none;
    }
  }

  .color-swatch--square.is-disabled::before {
    width: 2px;
    height: 125%;
    background-image: none;
    background-color: var(--secondary-background-color);
    transform: rotate(45deg);
  }

  .product-info__block-item[data-block-id="buy_buttons"] {
    .button--tertiary {
      --button-padding-block: 14px;
      height: 46px;

      .button__content {
        font-size: 16px;
        line-height: 16px;
      }
    }

    .link {
      display: inline-block;
      margin-top: 10px;
    }
  }

  .buy-buttons {
    .h-stack {
      gap: 4px;
    }

    .quantity-selector {
      display: flex;
      width: 97px;
      border: 1px solid var(--secondary-color);
    }

    .quantity-selector__button {
      display: flex;
      justify-content: center;
      align-items: center;
      flex: 1;
    }

    quantity-input {
      flex: 1;
    }

    .quantity-selector__input {
      height: auto;
      text-align: center;
      font-family: var(--primary-font);
      font-size: clamp(14px, calc(14px + (16 - 14) * ((100vw - 360px) / (1440 - 360))), 16px);
      line-height: clamp(14px, calc(14px + (16 - 14) * ((100vw - 360px) / (1440 - 360))), 16px);
    }

    &:has(button[type="submit"][disabled]) {
      .quantity-selector {
        display: none;
      }
    }
  }

  @media (max-width: 999px) {
    --x-gap: 24px;

    .product-title {
      line-height: 32px;
    }

    .product-info__block-item[data-block-id="price"] {
      margin-top: 8px;
    }

    .variant-picker__option {
      --form-control-gap: 4px;
    }

    .variant-picker__option-values {
      gap: 5px 3px;

      &:has(.color-swatch--square) {
        gap: 5px 4px;
      }
    }

    .color-swatch--square {
      --swatch-width: 50px;
      --swatch-height: 50px;
      padding: 3px;
    }

    .product-info__block-item[data-block-id="buy_buttons"] {
      .button--tertiary {
        --button-padding-block: 12px;
        height: 40px;

        .button__content {
          font-size: 14px;
          line-height: 14px;
        }
      }

      .link {
        font-size: 14px;
        line-height: 20px;
      }
    }

    .buy-buttons {
      .h-stack {
        gap: 2px;
      }
    }
  }
}

.product-gallery__image-list:active custom-cursor {
  color: var(--primary-color);
}

.product-gallery {
  &:has(.scroll-marker[aria-current="true"]:first-child) {
    .product-gallery__cursor.is-half-start {
      color: var(--light-text-color);
    }
  }

  &:has(.scroll-marker[aria-current="true"]:last-child) {
    .product-gallery__cursor.is-half-end {
      color: var(--light-text-color);
    }
  }
}

.product-gallery__cursor {
  width: 36px;
  height: 36px;

  svg {
    width: 100%;
    height: 100%;
  }
}

.shopify-section--related-products {
  .circle-button {
    color: var(--black);
    width: 36px;
    height: 36px;

    &::before {
      content: none;
    }

    &[disabled] {
      color: var(--light-text-color);
    }

    @media (hover: hover) {
      transition: .2s ease-in-out;

      &:not([disabled]) {
        &:hover {
          color: var(--primary-color);
        }
      }
    }

    &:not([disabled]):active {
      color: var(--primary-color);
    }
  }
}

/* Zoom lightbox */
body:has(.pswp--open) {
  #shopify-chat {
    display: none;
  }
}

.pswp__bg {
  background-color: var(--secondary-background-color);
}

.pswp__button:not(.pswp__button--close-button) {
  background-image: url('icon-arrow.svg');
  background-size: 36px;
  background-repeat: no-repeat;
  background-position: center;

  &::before {
    content: none;
  }

  svg {
    display: none;
  }

  &.pswp__button--previous-button {
    transform: rotateZ(180deg);
  }

  @media (hover: hover) {
    &:hover {
      background-image: url('icon-arrow-red.svg');
    }
  }
}

/* Quantity selector */
.quantity-selector {
  .quantity-selector__input {
    font-family: var(--primary-font);
  }
}

/* Cart & smart cart */
.cart,
.drawer--cart {
  .line-item__info {
    .subheading {
      font-family: var(--primary-font);
    }
  }
}

.drawer--cart {
  .text-with-icon[slot="header"] h2 {
    font-family: var(--secondary-font);
  }

  .line-item__line-price {
    font-family: var(--primary-font);
  }

  .tab-pills button[role="tab"] .subheading {
    font-family: var(--primary-font);
  }
}

/* Rich text section */
.shopify-section--rich-text {
  .heading-block {
    font-family: var(--secondary-font);
  }
}

/* Press section */
.shopify-section--press {
  .press-carousel__avatar-container {
    .subheading {
      color: var(--primary-color);
    }
  }
}

/* Footer */
.footer__block--links {
  .link-reversed {
    color: var(--secondary-background-color);
    background: none;

    @media (hover: hover) {
      transition: .2s ease-in-out;

      &:hover {
        color: var(--primary-color);
      }
    }

    &:active {
      color: var(--primary-color);
    }
  }
}

.footer__block--socials {
  .social-media {
    gap: 4px;
  }

  .social-media__item {
    &:has(~.social-media__item:hover),
    &:hover~* {
      opacity: 1;
    }

    a {
      color: var(--secondary-background-color);

      @media (hover: hover) {
        transition: .2s ease-in-out;

        &:hover {
          color: var(--primary-color);
        }
      }

      &:active {
        color: var(--primary-color);
      }
    }
  }
}

.footer__aside {
  display: block;
}

.footer-aside-inner {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 5px 100px;
}

.footer-legal-menu-container {
  max-width: calc(50% - 100px);
}

.footer-legal-menu {
  display: flex;
  flex-wrap: wrap;
}

.footer-legal-menu-item {
  display: flex;

  &:not(:first-child) {
    &::before {
      content: '-';
      display: inline-block;
      margin-inline: 6px;
      color: var(--secondary-background-color);
      font-size: 12px;
      line-height: 18px;
    }
  }
}

.footer-legal-menu-link {
  color: var(--secondary-background-color);
  font-size: 12px;
  line-height: 18px;

  @media (hover: hover) {
    transition: .2s ease-in-out;

    &:hover {
      color: var(--primary-color);
    }
  }

  &:active {
    color: var(--primary-color);
  }
}

.footer-copyright {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 12px;
  line-height: 18px;
  color: var(--secondary-background-color);
}

.footer-payments-image {
  width: 194px;
  max-width: 180px;
  height: auto;
}

@media (max-width: 933px) {
  .footer .container {
    --container-gutter: 1.25rem;
  }

  .footer__block {
    max-width: 100%;
  }

  .footer__block-list {
    flex-wrap: nowrap;
    column-gap: 20px;
    display: grid;
  }

  .footer__block-list:has(:nth-child(3)) {
    justify-content: flex-start;
  }

  .footer__block-list:has(.footer__block--text:first-child) {
    .footer__block--text:first-child {
      order: 0;
    }

    .footer__block--socials {
      order: 1;
      margin: -20px 0;
    }

    .footer__block--links {
      order: 2;
    }
  }

  .footer-aside-inner {
    flex-direction: column;
  }

  .footer-legal-menu-container {
    max-width: none;
  }

  .footer-legal-menu {
    justify-content: center;
  }

  .footer-copyright {
    position: static;
    transform: none;
    order: 1;
  }

  .accordion {
    --accordion-block-padding: 0.875rem;
  }

  .footer__block--accordion-links {
    grid-column: 1 / -1;
  }

  .footer__block--accordion-links+.footer__block--accordion-links,
  .footer__block--accordion-links:first-child {
    margin-block-start: -2rem;
  }
}

@media (min-width: 934px) {
  .footer-bp\:hidden {
    display: none;
  }
}

@media (max-width: 933px) {
  .footer-bp-max\:hidden {
    display: none;
  }
}

@media (min-width: 1200px) {
  .xlg\:hidden {
    display: none;
  }
}

@media (max-width: 1199px) {
  .xlg-max\:hidden {
    display: none;
  }
}

/* Privacy policy */
#main:has(.shopify-policy__container) {
  --accent: 0 0 0;
  --background: 243 243 238;
  --background-gradient: ;
  --background-secondary: 224 222 207;
  --has-transparent-background: 0;
  --has-filled-background: 1;
  --text-color: 0 0 0;
  --border-color: 219 219 214;
  --subheading-background: 0 0 0 / 0.0;
  --subheading-border: none;
  --subheading-text-color: 204 17 0;
  --subheading-has-padding: 0;
  --heading-highlight-accent-color: 204 17 0;
  --heading-highlight-text-color: 0 0 0;
  --button-background-primary: 0 0 0;
  --button-text-primary: 0 0 0;
  --input-background: 255 255 255;
  --input-text-color: 0 0 0;
  --input-text-transform: none;
  background-color: rgb(var(--background));
  background-image: var(--background-gradient);
  color: rgb(var(--text-color));
  border-color: rgb(var(--border-color));
}